jump to navigation

Questo piede scotta¹!

In News il 15/03/09 @ 21:35 trackback

epiphany-webkit-progress-in-entryAggiornamento: come segnalato da grigio tra i commenti, ecco il WebKit PPA! :)

Leggo da Xan Lopez che è stato da poco rilasciato WebKitGTK+ 1.1.2, con una serie di migliorie e sono stati annunciati i piani per lo sviluppo che porteranno ad una versione 1.2.0 stabile per GNOME 2.28. Ma quel che più mi interessa è che con Epiphany 2.27 ha visto la luce la sua «prima versione dell’era WebKit». La caccia al PPA è aperta, altrimenti mi organizzo per impacchettare un backport per il pollyrepo ;)

Tutto lascia presagire che GNOME 2.28 sarà una delle versioni più «frizzanti» di sempre, ma cosastasuccedendo? Improvvisamente il vulcano GNOME sembra essere in eruzione1 :D

Note all'articolo:

  1. Perdonate il titolo cretino -.- []

Condividi questo articolo:

  • FriendFeed 
  • TwitThis 
  • Facebook 
  • Badzu 
  • LinkedIn 
  • Google 
  • del.icio.us 
  • Wikio IT 
  • DiggIta 
  • Technotizie 
  • OKNotizie 

Pagine forse correlate:

Etichette: , , ,

Commenti »

1. Pepello - 15/03/09 @ 21:51

Sto già passando da epiphany a firefox :D

2. Dave - 15/03/09 @ 21:54

fallo tu Felipe! Impacchettalo ti prego!

3. Sergej - 15/03/09 @ 22:10

eheh
W epiphany!

4. Massimiliano - 15/03/09 @ 22:11

ma cosa… sta… succedendo?

http://tinyurl.com/csuhmt

5. grigio - 15/03/09 @ 22:23

e questo? https://launchpad.net/~webkit-team/+archive/ppa

Si può già provare Epiphany-WebKit 2.24 (zoom a parte), probabilmente presto verrà aggiornato :)

6. Neff - 15/03/09 @ 22:23

W il piede!

7. Ravic - 15/03/09 @ 22:26

Ho letto anche io prima su Planet Gnome questa news e mi son messo subito a cercare un PPA per provarlo, invano purtroppo :P

Felipe, contiamo tutti su di te per i pacchetti :)

8. fasix - 16/03/09 @ 8:54

si si… vogliamo lo gnomo in eruzione, un po’ di novità nn fara’ male

9. zidagar - 16/03/09 @ 9:09

Da utente KDE sono strafelice che ci sia movimento nel mondo gnome!
Mi mettono gioia ste cose…

10. nk02 - 16/03/09 @ 10:06

io sono ancora fermo alla 2.22.3 di gnome e di epyphany ahaha.. debian come al solito è aggiornatissima..beh, son proprio contento ci sia questo improvviso movimento nel mondo gnome, non vedo l’ora di provare queste succolente novità : )

ps: argh mi mancano tutti i repo stra aggiornati, il tuo repo pieno di roba instabile, aaaa, son tentato di tornare a ubuntu quasi quasi : D

11. Raf - 16/03/09 @ 11:22

@nk02
fatti un repository misto, renderà la tua debian un pò più instabile ( anche se quando l’ho fatto io andava tutto a meraviglia ) ma super iper aggiornata.

12. Raf - 16/03/09 @ 12:08

ma delicious non funge più con l’estensione epilicious???

13. Sergej - 16/03/09 @ 12:14

Io sono un felicissimo utilizzatore di epiphany, decisamente più leggero di firefox (per quanto alcune opzioni mi manchino, una su tutte una gestione più precisa dei cookie), e aspetto con ansia il porting del nuovo webkit.
felipe, ti devo dire altro?? ;)

14. tosky - 16/03/09 @ 12:21

@nk02
In testing (squeeze) è un momento di migrazioni massicce, e tra queste c’è pure quella a GNOME 2.24 in corso (già alcuni pezzi son calati, ma al momento ci sono le nuove GTK che bloccano un po’ di roba).

15. naygiai - 16/03/09 @ 15:11

@zidagar
cavolo pure in questo sono migliori gli utenti kde.
sono strafelice del tuo commento.

16. matty - 16/03/09 @ 15:16

Domanda da niubbo:Webkit è meglio di Gecko o è una delle mode che ogni tanto esplodono(se non hai webkit non sei nessuno)?

17. linuser - 16/03/09 @ 15:32

Woooooooooow … ho appena installato epiphany-webkit indicato da grigio al mex n° 5 … spettacolare !!!

Acid3 : 100/100

Failed 0 tests.
Test 00 passed, but took 54ms (less than 30fps)
Test 26 passed, but took 65ms (less than 30fps)
Test 69 passed, but took 113 attempts (less than perfect).
Total elapsed time: 4.96s

18. Raf - 16/03/09 @ 16:29

@ naygiai
in presunzione? boh, certi commenti alle volte. Io l’ho provato subito kde 4 e lo seguo con attenzione, ma uso Gnome, chi è l’utente kde chi è l’utente gnome… boh, state sempre a fare fazioni che tristezz.

PS qualcuno ( kde gnome non importa ;) ) che mi delucida sull’utilizzo di delicious con epiphany?

19. Lillo - 16/03/09 @ 16:59

ma siete tutti sicuri che quel ppa installi un epiphany che veramente utilizza webkit? Io lancio epiphany-webkit, vado in informazioni, e risulta browser basato su gecko1.9…
Ed anche il rendering delle pagine è diverso rispetto a browser che sicuramente usano webkit, come arora o midori (da cui sto scrivendo…) Sbaglio io qualcosa?

20. jigen74 - 16/03/09 @ 19:17

@Lillo
ho notato anch’io la stessa cosa, tra l’altro non richiede neanche l’installazione del package web-kit…
però risulta installato epiphany-webit e non epiphany-gecko.
idee?

21. nk02 - 16/03/09 @ 20:12

@Raf
mescolare i repo ubuntu a quelli debian? e con le dipendenze come fa, visto che sicuramente nemmeno se uso i repo sid non trova versioni abbastanza recenti delle varie libs..

@tosky
allora è il momento di tornare in testing. infondo io ho sempre usato testing, è la prima volta che uso la stable ^^ adesso vado di aptitude eheh : )

22. Raf - 16/03/09 @ 20:57

@nk02
no fare dei repository misti debian stable testing unstable
http://guide.debianizzati.org/index.php/APT_uso_avanzato:_mixare_releases_diverse

23. nk02 - 16/03/09 @ 21:34

@Raf
ah beh questo lo so fare : )
il fatto è che nemmeno in sid si troverà questa versione immagino.. poi il fatto che uso debian64 peggiora ancora di più le cose eheh

24. grigio - 17/03/09 @ 1:02

@jigen74, Lillo: se “epiphany-webkit” è installato lo dovete lanciare con epiphany-webkit

25. lillo - 17/03/09 @ 9:05

@grigio: l’ho lanciato con epiphany-webkit, ho fatto l’update-alternatives per epiphany-browser, ho provato a disinstallare epiphany-gecko, ma niente è cambiato… Fra le altre cose fino a una settimanina fa sapevo con sicurezza che epiphany-webkit non supportava i download, invece da me funzionavano, quindi credo fosse epiphany-gecko… Boh!

26. grigio - 17/03/09 @ 14:20

@lillo. hai ragione l’ultimo pacchetto epiphany-webkit ha sempre il backend gecko. Accontentati di Midori :)

27. linuser - 17/03/09 @ 15:41

Ma scusate …

Menu Aiuto -> Informazioni

Browser web 2.22.3

Permette di visualizzare le pagine web e di trovare informazioni su internet.
Basato su WebKit

Se eseguo acid3 ottengo _ancora_ : 100/100

Failed 0 tests.
Test 00 passed, but took 51ms (less than 30fps)
Test 04 passed, but took 47ms (less than 30fps)
Test 26 passed, but took 79ms (less than 30fps)
Test 69 passed, but took 93 attempts (less than perfect).
Total elapsed time: 5.01s

L’ultimo nightly dev trunk di Firefox ( Mindfield 3.2a1pre ) ottiene : 94/100

Failed 6 tests.
Test 26 passed, but took 441ms (less than 30fps)
Test 65 passed, but took 151ms (less than 30fps)
Test 69 passed, but took 20 attempts (less than perfect).
Test 71 failed: expected ‘1′ but got ‘2′ - wrong number of children in HEAD (first test)
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected ‘0′ but got ‘100′ - Incorrect animVal value after svg animation.
Test 77 failed: expected ‘4776′ but got ‘7180′ - getComputedTextLength failed.
Test 78 failed: expected ‘90′ but got ‘0′ - getRotationOfChar(0) failed.
Test 79 failed: expected ‘34′ but got ‘33′ - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 4.88s

Forse il problema e’ che sono su Ubuntu Hardy ? Forse epiphany-webkit non e’ disponibile per Ubuntu Intrepid ?

28. Massimo - 17/03/09 @ 17:34

http://people.debian.org/~kov/webkit/README
:)

29. grigio - 18/03/09 @ 15:02

@Massimo: Quel repository mi ha costretto ad aggiornare libc6 e altre lib.. alla fine sono stato costretto a passare a Jaunty

30. linuser - 18/03/09 @ 15:53

@29 grigio

Ovvio … quel repo è per debian sid/unstable … al momento squeeze.

31. linuser - 18/03/09 @ 17:04

@30 continua

pardon … è per debian experimental

32. Massimo - 18/03/09 @ 19:08

@ grigio
…benvenuto, allora! :)

33. grigio - 19/03/09 @ 22:30

@Massimo: ehm.. grazie. Comunque Gnome in Jaunty è praticamente stabile, il problema sono i soliti fglrx, X e compagnia bella.

Se li usate, evitate!

34. elcamilo - 20/03/09 @ 0:07

@felipe

quel repo che cercavi NON è, installa un epiphany che continua a usare gecko: pensaci tu!

35. felipe - 20/03/09 @ 9:34

@elcamilo e gli altri di Epiphany/WebKit:
È meglio aspettare che aprano lo sviluppo di Koala, tanto al momento sarà qualcosa di mezzo-cucinato ;)

36. Ciccio SDV - 20/03/09 @ 21:09

@felipe
Aspettiamo impazientemente il backport per pollyrepo!!! :D
Sono curioso di sapere se oltre alla GtkEntry con la progressbar, hanno anche migliorato il parsing degli indirizzi della cronologia.. quello del 2.24 è lentissimo, ha ritardi di 1 o 2 secondi!!!

(commentando accetti implicitamente le Regole di pollycoke, leggile!)